[arch-commits] Commit in ssmtp/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 3 09:32:13 EDT 2008


    Date: Sunday, August 3, 2008 @ 09:32:13
  Author: jgc
Revision: 7619

Fix conflict

Modified:
  ssmtp/repos/extra-x86_64/	(properties)
  ssmtp/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)


Property changes on: ssmtp/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /ssmtp/trunk:1
   + /ssmtp/trunk:1-7618

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-08-03 13:31:27 UTC (rev 7618)
+++ extra-x86_64/PKGBUILD	2008-08-03 13:32:13 UTC (rev 7619)
@@ -1,31 +1,31 @@
 # $Id$
-# Maintainer: dorphell <dorphell at archlinux.org>
+# Maintainer: Hugo Doria <hugo at archlinux.org>
 pkgname=ssmtp
-pkgver=2.61
-pkgrel=5
+pkgver=2.62
+pkgrel=2
 pkgdesc="Extremely simple MTA to get mail off the system to a mailhub"
 arch=('i686' 'x86_64')
 license=('GPL')
-depends=('gnutls')
-source=(http://ftp.debian.org/debian/pool/main/s/ssmtp/${pkgname}_${pkgver}.orig.tar.gz \
-        http://ftp.debian.org/debian/pool/main/s/ssmtp/ssmtp_2.61-12.1.diff.gz)
+depends=('openssl')
+source=(http://ftp.debian.org/debian/pool/main/s/ssmtp/${pkgname}_${pkgver}.orig.tar.gz)
 backup=('etc/ssmtp/ssmtp.conf' 'etc/ssmtp/revaliases')
 conflicts=('exim')
+provides=('smtp-forwarder')
 url="http://packages.debian.org/stable/mail/ssmtp"
-md5sums=('957e6fff08625fe34f4fc33d0925bbc9'
-         'ff1b2e93b610a0e50365561c6b2eabbc')
+md5sums=('257ac04e62ab7e3616e220333a1140cb')
 options=('!makeflags' '!emptydirs')
 
 build() {
-	cd $startdir/src/$pkgname-$pkgver
-	patch -p1 -i ../ssmtp_2.61-12.1.diff
+	cd ${srcdir}/${pkgname}
 	./configure --prefix=/usr \
 		--sysconfdir=/etc \
-		--enable-md5auth --enable-ssl
+		--enable-md5auth --enable-ssl || return 1
 	make || return 1
-   yes | make prefix=$startdir/pkg/usr SSMTPCONFDIR=$startdir/pkg/etc/ssmtp install
-   cp ssmtp.conf $startdir/pkg/etc/ssmtp/
-   ln -s ../sbin/ssmtp $startdir/pkg/usr/sbin/sendmail
-   ln -s ../sbin/ssmtp $startdir/pkg/usr/sbin/newaliases
-   ln -s ../sbin/ssmtp $startdir/pkg/usr/sbin/mailq
+   yes | make prefix=${pkgdir}/usr SSMTPCONFDIR=${pkgdir}/etc/ssmtp install || return 1
+
+   install -m644 ssmtp.conf ${pkgdir}/etc/ssmtp/
+
+   ln -s ../sbin/ssmtp ${pkgdir}/usr/sbin/sendmail
+   ln -s ../sbin/ssmtp ${pkgdir}/usr/sbin/newaliases
+   ln -s ../sbin/ssmtp ${pkgdir}/usr/sbin/mailq
 }




More information about the arch-commits mailing list